Bug 259679 - deskutils/recoll: update to 1.31.2
Summary: deskutils/recoll: update to 1.31.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL: https://www.lesbonscomptes.com/recoll...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-11-06 16:47 UTC by Jose G. Juanino
Modified: 2021-11-11 02:39 UTC (History)
4 users (show)

See Also:


Attachments
update to 1.31.2 (10.61 KB, patch)
2021-11-06 16:47 UTC, Jose G. Juanino
no flags Details | Diff
Screenshot: starting … (102.21 KB, image/png)
2021-11-09 04:07 UTC, Graham Perrin
no flags Details
… success. (56.56 KB, image/png)
2021-11-09 04:16 UTC, Graham Perrin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose G. Juanino 2021-11-06 16:47:06 UTC
Created attachment 229328 [details]
update to 1.31.2

Hi, I send a patch to update recoll to 1.31.2 version.

Changelog:

https://www.lesbonscomptes.com/recoll/pages/release-history.html

Specific changes to this port version:

- Update filters according to new version
- X11MON option is not longer broken, fixed in Makefile.in patch

Apply this patch against main git branch with git am.

Regards
Comment 1 Alexey Dokuchaev freebsd_committer 2021-11-08 02:03:02 UTC
(In reply to jjuanino from comment #0)

Oh, nice, I've started to work on updating it myself, and your patch came just in time!
Comment 2 Graham Perrin 2021-11-09 04:07:12 UTC
Created attachment 229371 [details]
Screenshot: starting …
Comment 3 Graham Perrin 2021-11-09 04:16:52 UTC
Created attachment 229372 [details]
… success.

I used nano(1) to create, edit, write out (save) then exit from a short, simple text file. Its content was found by Recoll. 

Then mv(1) to rename the file, and again nano – to edit (remove one of three words) and write out without closure. Recoll found the file and represented its reduced content: 

* screenshot attached. 

Thanks!
Comment 4 commit-hook freebsd_committer 2021-11-10 16:24:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=76d53e6ee5976214a52bf2082efc11d681a9fb20

commit 76d53e6ee5976214a52bf2082efc11d681a9fb20
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-11-10 16:21:48 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-11-10 16:21:48 +0000

    deskutils/recoll: update the port and improve option handling

    - Update Recoll to the latest version 1.31.2
    - Unbreak the build with X11MON option (add missing -lfam)
    - Unbreak stripping when CHM option is disabled

    PR:     259679

 deskutils/recoll/Makefile                          | 18 +++++++--------
 deskutils/recoll/distinfo                          |  6 ++---
 deskutils/recoll/files/patch-Makefile.in           | 15 ++++++++++---
 .../recoll/files/patch-utils_fileudi.cpp (gone)    | 10 ---------
 deskutils/recoll/pkg-plist                         | 26 ++++++++++++++--------
 5 files changed, 40 insertions(+), 35 deletions(-)
Comment 5 Alexey Dokuchaev freebsd_committer 2021-11-11 02:39:52 UTC
Committed with minor modifications, thanks!